summaryrefslogtreecommitdiff
path: root/tests/grouptools/groupadd/19_groupadd_-r_no_more_system_GID/groupadd.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/grouptools/groupadd/19_groupadd_-r_no_more_system_GID/groupadd.test')
-rwxr-xr-xtests/grouptools/groupadd/19_groupadd_-r_no_more_system_GID/groupadd.test54
1 files changed, 0 insertions, 54 deletions
diff --git a/tests/grouptools/groupadd/19_groupadd_-r_no_more_system_GID/groupadd.test b/tests/grouptools/groupadd/19_groupadd_-r_no_more_system_GID/groupadd.test
deleted file mode 100755
index 728cdbce..00000000
--- a/tests/grouptools/groupadd/19_groupadd_-r_no_more_system_GID/groupadd.test
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../../common/config.sh
-. ../../../common/log.sh
-
-log_start "$0" "groupadd checks if the a GID is still available (GID_MIN=300, GID_MAX=301)"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "Add system group foo (groupadd -r foo)..."
-groupadd -r foo 2>tmp/groupadd.err && exit 1 || {
- status=$?
-}
-echo "OK"
-
-echo -n "Check returned status ($status)..."
-test "$status" = "4"
-echo "OK"
-
-echo "groupadd reported:"
-echo "======================================================================="
-cat tmp/groupadd.err
-echo "======================================================================="
-echo -n "Check that there were a failure message..."
-diff -au data/groupadd.err tmp/groupadd.err
-echo "error message OK."
-rm -f tmp/groupadd.err
-
-echo -n "Check the passwd file..."
-../../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../../common/compare_file.pl config/etc/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-